import os
import time
import schedule


def run_xng_plus():
    # os.system("ps aux | grep xiaoniangao | grep -v grep | awk '{ print $2}' | xargs kill -9")
    os.system("python3 xiaoniangao_plus_scheduling2.py")


def run_xng_rule():
    os.system("ps aux | grep xiaoniangao | grep -v grep | awk '{ print $2}' | xargs kill -9")
    os.system("python3 xiaoniangao_plus_get_userid.py")


if __name__ == "__main__":
    schedule.every().day.at("19:34").do(run_xng_plus)
    while True:
        schedule.run_pending()
        time.sleep(1)
